<?php
/**
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Prestashop <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* @since 1.6
*/
class BASmartSeoAltTagsProsetting extends BASmartSeoAltTags
{
    public function __construct()
    {
        parent::__construct();
    }

    public function process($params = [])
    {
        if ($this->license_pro == false) {
            return $this->shortDisplay('views/templates/admin/free/prosettings.tpl');
        }
        if (Tools::isSubmit('savepro')) {
            $this->saveSettings();
        }

        return $this->createFormSetting();
    }

    public function createFormSetting()
    {
        $auto_add = (int) Configuration::get($this->name . '_auto_add');
        $auto_edit = (int) Configuration::get($this->name . '_auto_edit');
        $this->smarty->assign('auto_add', $auto_add);
        $this->smarty->assign('auto_edit', $auto_edit);

        return $this->shortDisplay('views/templates/admin/prosettings.tpl');
    }

    public function saveSettings()
    {
        $auto_add = (int) Tools::getValue('auto_add');
        $auto_edit = (int) Tools::getValue('auto_edit');
        Configuration::updateValue($this->name . '_auto_add', $auto_add);
        Configuration::updateValue($this->name . '_auto_edit', $auto_edit);
        $this->smarty->assign('success', $this->l('Successful update'));

        return true;
    }

    public function installNew()
    {
        $shopList = Shop::getShops(false);
        $shopList[] = [
            'id_shop' => null,
            'id_shop_group' => null,
        ];
        foreach ($shopList as $shop) {
            $id_shop = (int) $shop['id_shop'];
            Configuration::updateValue($this->name . '_auto_add', 1, false, null, $id_shop);
            Configuration::updateValue($this->name . '_auto_edit', 1, false, null, $id_shop);
        }

        return true;
    }

    public static function uninstallNew()
    {
        return true;
    }
}
